io.vertx.spi.cluster.ignite

## Class IgniteOptions

- java.lang.Object
- - io.vertx.spi.cluster.ignite.IgniteOptions

-     public class IgniteOptions
      extends Object

  Author:
    Lukas Prettenthaler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteOptions()` Default constructor
    `IgniteOptions(IgniteOptions options)` Copy constructor
    `IgniteOptions(JsonObject options)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<IgniteCacheOptions>` | `getCacheConfiguration()` Gets configuration (descriptors) for all caches.
    `int` | `getConnectionsPerNode()` See `setConnectionsPerNode(int)`.
    `long` | `getConnectTimeout()` See `setConnectTimeout(long)`.
    `long` | `getDefaultRegionInitialSize()` Get default data region start size.
    `long` | `getDefaultRegionMaxSize()` Get default data region maximum size.
    `IgniteDiscoveryOptions` | `getDiscoverySpi()` Should return fully configured discovery options.
    `long` | `getIdleConnectionTimeout()` See `setIdleConnectionTimeout(long)`.
    `List<String>` | `getIncludeEventTypes()` Gets array of event types, which will be recorded.
    `String` | `getLocalHost()` Gets system-wide local address or host for all Ignite components to bind to.
    `int` | `getLocalPort()` See `setLocalPort(int)`.
    `long` | `getMaxConnectTimeout()` See `setConnectTimeout(long)`.
    `long` | `getMetricsLogFrequency()` Gets frequency of metrics log print out.
    `int` | `getReconnectCount()` Gets maximum number of reconnect attempts used when establishing connection with remote nodes.
    `IgniteSslOptions` | `getSslContextFactory()`
    `boolean` | `isShutdownOnSegmentation()`
    `IgniteOptions` | `setCacheConfiguration(List<IgniteCacheOptions> cacheConfiguration)` Sets cache configurations.
    `IgniteOptions` | `setConnectionsPerNode(int connectionsPerNode)` Sets number of connections to each remote node.
    `IgniteOptions` | `setConnectTimeout(long connectTimeout)` Sets connect timeout used when establishing connection with remote nodes.
    `IgniteOptions` | `setDefaultRegionInitialSize(long defaultRegionInitialSize)` Sets default data region start size.
    `IgniteOptions` | `setDefaultRegionMaxSize(long defaultRegionMaxSize)` Sets default data region maximum size.
    `IgniteOptions` | `setDiscoverySpi(IgniteDiscoveryOptions discoveryOptions)` Sets fully configured instance of `IgniteDiscoveryOptions`.
    `IgniteOptions` | `setIdleConnectionTimeout(long idleConnectionTimeout)` Sets maximum idle connection timeout upon which a connection to client will be closed.
    `IgniteOptions` | `setIncludeEventTypes(List<String> includeEventTypes)` Sets array of event types, which will be recorded by `IgniteClusterManager.join(Promise)`.
    `IgniteOptions` | `setLocalHost(String localHost)` Sets system-wide local address or host for all Ignite components to bind to.
    `IgniteOptions` | `setLocalPort(int localPort)` Sets local port for socket binding.
    `IgniteOptions` | `setMaxConnectTimeout(long maxConnectTimeout)` Sets maximum connect timeout.
    `IgniteOptions` | `setMetricsLogFrequency(long metricsLogFrequency)` Sets frequency of metrics log print out.
    `IgniteOptions` | `setReconnectCount(int reconnectCount)` Sets maximum number of reconnect attempts used when establishing connection with remote nodes.
    `IgniteOptions` | `setShutdownOnSegmentation(boolean shutdownOnSegmentation)` Sets that vertx will be shutdown when the cache goes into segmented state.
    `IgniteOptions` | `setSslContextFactory(IgniteSslOptions sslOptions)` Sets SSL options that will be used for creating a secure socket layer.
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteOptions

          public IgniteOptions()

      Default constructor

    - #### IgniteOptions

          public IgniteOptions(IgniteOptions options)

      Copy constructor
      Parameters:
        `options` - the one to copy

    - #### IgniteOptions

          public IgniteOptions(JsonObject options)

      Constructor from JSON
      Parameters:
        `options` - the JSON

  - ### Method Detail

    - #### getLocalHost

          public String getLocalHost()

      Gets system-wide local address or host for all Ignite components to bind to. If provided it will override all default local bind settings within Ignite or any of its SPIs.
      Returns:
        Local address or host to bind to.

    - #### setLocalHost

          public IgniteOptions setLocalHost(String localHost)

      Sets system-wide local address or host for all Ignite components to bind to. If provided it will override all default local bind settings within Ignite or any of its SPIs.
      Parameters:
        `localHost` - Local IP address or host to bind to.
      Returns:
        reference to this, for fluency

    - #### getLocalPort

          public int getLocalPort()

      See `setLocalPort(int)`.
      Returns:
        Port number.

    - #### setLocalPort

          public IgniteOptions setLocalPort(int localPort)

      Sets local port for socket binding.
      Parameters:
        `localPort` - Port number.
      Returns:
        reference to this, for fluency

    - #### getConnectionsPerNode

          public int getConnectionsPerNode()

      See `setConnectionsPerNode(int)`.
      Returns:
        Number of connections per node.

    - #### setConnectionsPerNode

          public IgniteOptions setConnectionsPerNode(int connectionsPerNode)

      Sets number of connections to each remote node.
      Parameters:
        `connectionsPerNode` - Number of connections per node.
      Returns:
        reference to this, for fluency

    - #### getConnectTimeout

          public long getConnectTimeout()

      See `setConnectTimeout(long)`.
      Returns:
        Connect timeout.

    - #### setConnectTimeout

          public IgniteOptions setConnectTimeout(long connectTimeout)

      Sets connect timeout used when establishing connection with remote nodes.
      Parameters:
        `connectTimeout` - Connect timeout.
      Returns:
        reference to this, for fluency

    - #### getIdleConnectionTimeout

          public long getIdleConnectionTimeout()

      See `setIdleConnectionTimeout(long)`.
      Returns:
        Maximum idle connection time.

    - #### setIdleConnectionTimeout

          public IgniteOptions setIdleConnectionTimeout(long idleConnectionTimeout)

      Sets maximum idle connection timeout upon which a connection to client will be closed.
      Parameters:
        `idleConnectionTimeout` - Maximum idle connection time.
      Returns:
        reference to this, for fluency

    - #### getMaxConnectTimeout

          public long getMaxConnectTimeout()

      See `setConnectTimeout(long)`.
      Returns:
        Connect timeout.

    - #### setMaxConnectTimeout

          public IgniteOptions setMaxConnectTimeout(long maxConnectTimeout)

      Sets maximum connect timeout. If handshake is not established within connect timeout, then SPI tries to repeat handshake procedure with increased connect timeout. Connect timeout can grow till maximum timeout value, if maximum timeout value is reached then the handshake is considered as failed.
      Parameters:
        `maxConnectTimeout` - Maximum connect timeout.
      Returns:
        reference to this, for fluency

    - #### getReconnectCount

          public int getReconnectCount()

      Gets maximum number of reconnect attempts used when establishing connection with remote nodes.
      Returns:
        Reconnects count.

    - #### setReconnectCount

          public IgniteOptions setReconnectCount(int reconnectCount)

      Sets maximum number of reconnect attempts used when establishing connection with remote nodes.
      Parameters:
        `reconnectCount` - Maximum number of reconnection attempts.
      Returns:
        reference to this, for fluency

    - #### getIncludeEventTypes

          public List<String> getIncludeEventTypes()

      Gets array of event types, which will be recorded.
      Returns:
        Include event types.

    - #### setIncludeEventTypes

          public IgniteOptions setIncludeEventTypes(List<String> includeEventTypes)

      Sets array of event types, which will be recorded by `IgniteClusterManager.join(Promise)`. Note, that either the include event types or the exclude event types can be established.
      Parameters:
        `includeEventTypes` - Include event types.
      Returns:
        reference to this, for fluency

    - #### getMetricsLogFrequency

          public long getMetricsLogFrequency()

      Gets frequency of metrics log print out.
      Returns:
        Frequency of metrics log print out.

    - #### setMetricsLogFrequency

          public IgniteOptions setMetricsLogFrequency(long metricsLogFrequency)

      Sets frequency of metrics log print out.
      Parameters:
        `metricsLogFrequency` - Frequency of metrics log print out.
      Returns:
        reference to this, for fluency

    - #### getDiscoverySpi

          public IgniteDiscoveryOptions getDiscoverySpi()

      Should return fully configured discovery options. If not provided, TcpDiscovery will be used by default.
      Returns:
        Grid discovery options `IgniteDiscoveryOptions`.

    - #### setDiscoverySpi

          public IgniteOptions setDiscoverySpi(IgniteDiscoveryOptions discoveryOptions)

      Sets fully configured instance of `IgniteDiscoveryOptions`.
      Parameters:
        `discoveryOptions` - `IgniteDiscoveryOptions`.
      Returns:
        reference to this, for fluency

    - #### getCacheConfiguration

          public List<IgniteCacheOptions> getCacheConfiguration()

      Gets configuration (descriptors) for all caches.
      Returns:
        List of cache configurations.

    - #### setCacheConfiguration

          public IgniteOptions setCacheConfiguration(List<IgniteCacheOptions> cacheConfiguration)

      Sets cache configurations.
      Parameters:
        `cacheConfiguration` - Cache configurations.
      Returns:
        reference to this, for fluency

    - #### getSslContextFactory

          public IgniteSslOptions getSslContextFactory()

    - #### setSslContextFactory

          public IgniteOptions setSslContextFactory(IgniteSslOptions sslOptions)

      Sets SSL options that will be used for creating a secure socket layer.
      Parameters:
        `sslOptions` - Ssl options.
      Returns:
        reference to this, for fluency

    - #### isShutdownOnSegmentation

          public boolean isShutdownOnSegmentation()

    - #### setShutdownOnSegmentation

          public IgniteOptions setShutdownOnSegmentation(boolean shutdownOnSegmentation)

      Sets that vertx will be shutdown when the cache goes into segmented state. Defaults to true
      Parameters:
        `shutdownOnSegmentation` - boolean flag.
      Returns:
        reference to this, for fluency

    - #### getDefaultRegionInitialSize

          public long getDefaultRegionInitialSize()

      Get default data region start size. Default to 256 MB
      Returns:
        size in bytes.

    - #### setDefaultRegionInitialSize

          public IgniteOptions setDefaultRegionInitialSize(long defaultRegionInitialSize)

      Sets default data region start size.
      Parameters:
        `defaultRegionInitialSize` - size in bytes.
      Returns:
        reference to this, for fluency

    - #### getDefaultRegionMaxSize

          public long getDefaultRegionMaxSize()

      Get default data region maximum size. Default to 20% of physical memory available
      Returns:
        size in bytes.

    - #### setDefaultRegionMaxSize

          public IgniteOptions setDefaultRegionMaxSize(long defaultRegionMaxSize)

      Sets default data region maximum size.
      Parameters:
        `defaultRegionMaxSize` - size in bytes.
      Returns:
        reference to this, for fluency

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

Copyright © 2021 Eclipse. All rights reserved.